local NAME = minetest.get_current_modname()

minetest.register_biome({
	name = NAME .. ":beach",
	heat_point = 70,
	humidity_point = 40,
	node_top = NAME .. ":sand",
	depth_top = 4,
	y_min = -2,
	y_max = 4
})

minetest.register_biome({
	name = NAME .. ":ice",
	heat_point = 12,
	humidity_point = 0,

	node_top = NAME .. ":ice",
	depth_top = 3,
	y_min = 50,
})

minetest.register_biome({
	name = NAME .. ":rubber_trees",
	heat_point = 50,
	humidity_point = 40,

	node_top = NAME .. ":dirt",
	depth_top = 2,
	y_min = 1
})

minetest.register_biome({
	name = NAME .. ":rubber_trees_coast",
	heat_point = 50,
	humidity_point = 40,

	node_top = NAME .. ":stone",
	depth_top = 2,
	y_max = 0,
	y_min = -2,
})

minetest.register_biome({
	name = NAME .. ":grassland",
	node_top = NAME .. ":grass",
	heat_point = 60,
	humidity_point = 60,
	depth_top = 1,
	node_filler = NAME .. ":dirt",
	depth_filler = 5,
	y_min = 1
})

minetest.register_biome({
	name = NAME .. ":grassland_coast",
        node_top = NAME .. ":stone",
        heat_point = 60,
        humidity_point = 60,
        depth_top = 1,
        node_filler = NAME .. ":dirt",
        depth_filler = 5,
	y_max = 0,
        y_min = -2
})


minetest.register_biome({
	name = NAME .. ":dry_grassland",
	node_top = NAME .. ":dry_grass",
	heat_point = 80,
	humidity_point = 20,
	depth_top = 1,
	node_filler = NAME .. ":dirt",
	depth_filler = 5,
	y_min = 1
})

minetest.register_biome({
	name = NAME .. ":dry_grassland_coast",
	node_top = NAME .. ":stone",
	heat_point = 80,
	humidity_point = 20,
	depth_top = 1,
	node_filler = NAME .. ":dirt",
	depth_filler = 5,
	y_max = 0,
	y_min = -2
})

minetest.register_biome({
	name = NAME .. ":Stony"
})
